import { WritableSignal } from '@angular/core';
import { IPresetConfirmationButtonConfig } from '../../shared/interfaces/preset-confirmation.interface';
import { IQueryUploadConfig } from '../../shared/interfaces/query-upload.interface';
import * as i0 from "@angular/core";
export declare class QueryUploadComponent {
    private overlayRef;
    private overlayConfig;
    private filterToolbarService;
    private filterState;
    /**
     * Checks if the save button is enabled.
     */
    protected saveButtonDisabled: WritableSignal<boolean>;
    /**
     * The error message.
     */
    protected kindOfMessageState: WritableSignal<'none' | 'error' | 'success'>;
    /** @internal */
    dialogConfig: WritableSignal<IQueryUploadConfig>;
    /** @internal */
    constructor();
    /** @internal */
    protected close(): void;
    /** @internal */
    protected handle(buttonConfig: IPresetConfirmationButtonConfig): void;
    /**
     * Handles the upload query.
     */
    uploadQuery(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<QueryUploadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QueryUploadComponent, "talenra-query-upload", never, {}, {}, never, never, true, never>;
}
